<?php
/**
 * Database class.
 *
 * Bardzo prosta klasa do zarządzania połączenia z bazą..
 *
 * @author Eliza Witkowska <kokers@codebusters.pl>
 */
class database {
	private $connection;

	private $host = '';
	private $username = '';
	private $password = '';
	private $database = '';

	/**
	 * __construct
	 *
	 * Establish connection with database.
	 *
	 * @return void
	 */
	function __construct(){
		$this->connection = mysqli_connect($this->host, $this->username, $this->password,$this->database);
		if (mysqli_connect_errno()) {
			 printf("Connect failed: %s\n", mysqli_connect_error());
			 exit();
		}
	}

	/**
	 * query.
	 *
	 * Perform mysql query.
	 *
	 * @param mixed $query
	 * @return void
	 */
	function query($query){
		if($query = mysqli_query($this->connection,$query)){
			return $query;
		}
		printf("Error: %s\n", mysqli_error($this->connection));
		return FALSE;
	}

	/**
	 * inserted_id.
	 * Get last inserted id.
	 *
	 * @return void
	 */
	function inserted_id(){
		return mysqli_insert_id($this->connection);
	}

	/**
	 * affected_rows.
	 * Get affected rows.
	 *
	 * @return void
	 */
	function affected_rows(){
		return mysqli_affected_rows($this->connection);
	}

	/**
	 * escape.
	 *
	 * Perform mysql escape.
	 *
	 * @param mixed $in
	 * @return void
	 */
	function escape($in){
		return mysqli_real_escape_string($this->connection,$in);
	}
}
/* End of file database.php */
